Validator Summary
curl --request GET \
--url https://api.rated.network/v0/solana/validators/{validator_id}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/solana/validators/{validator_id}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/solana/validators/{validator_id}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delegatorApy": 0.05,
"effectiveness": 0.984,
"jitoPriorityFeeCommissionRate": 0.05,
"mevCommissionRate": 0.05,
"name": "name",
"networkPenetration": 0.24,
"stakeAccountCount": 100,
"timeWindow": "30d",
"validatorApy": 0.05,
"validatorIdentity": "validatorIdentity",
"validatorName": "validatorName",
"voteAccount": "voteAccount",
"voteCommissionRate": 0.05,
"voteLatency": 2.984
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Validators
Single validator summary
GET
/
v0
/
solana
/
validators
/
{validator_id}
/
summary
Validator Summary
This endpoint returns high level information about a validator over the time period such as its entity name, network penetration, annual percentage yield (APY), and effectiveness.
Here’s how to interpret the inputs required to operate it 👇
On the
| Parameter | Description |
|---|---|
window | Window of the aggregation, with 1d, 7d, 30d and all being the supported values |
1d time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana’s staking rewards schedule, which is every epoch (~2 days).Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
1d, 7d, 30d, all Response
Successful Response
Available options:
1d, 7d, 30d, all Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Required range:
x >= 0Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$